Subject: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Michael Albinus <[email-masked]>
Date: Thu, 17 Mar 2016 20:43:03 +0100

Stefan Monnier <[email-masked]> writes:

>>>> pcomplete-do-complete("/davs:" #[771 "\302^CG\303
>>>> pcomplete(1)
>>> Hmm... how did we get from "/" to "/davs:"?
>> Forgot to say: Prior to calling pcomplete, I have typed /davs: in the
>> eshell buffer.
>
> Hmm... looking back at it I'm kind of lost.
> I thought this was about adding `non-essential' somewhere, but in the
> recipe, I don't see much opportunity for that.  So, I think the question
> is really for Micheal:
>
>   Why does "cd / M-x pcomplete RET" signal an error like
>
>     tramp-file-name-handler: Host name must not match method "adb"
>
>   ?
>
> That seems like a bug right there, which doesn't have much to do with
> non-essential.

I couldn't provoke the bug with the recipe you ought to use:

emacs -Q
M-x eshell
cd /
M-x pcomplete

So I cannot answer that question. Or do you use another recipe?

>         Stefan

Best regards, Michael.